Source

pynie / setup.py

Author Commit Message Labels Comments Date
allisonrandal
Fix dictionaries so they appear as the 'dict' type, and so they
allisonrandal
Cleaning up intermediate executable files.
allisonrandal
Fix up version check so it works with Parrot 2.0. Thanks to François
isop44
Add 'type' type as a functor with a nice string representation. Make the 'str' and 'list' classes instances of this functor. (Though str/list instances are not instances of the 'type' objects yet.)
allisonrandal
Build the Pynie executable by default, which requires Parrot version 1.4.
Bradley.Sif
Closure support for inner defs when returned by function.
isop44
Add simple str class and some tests
blairuk
Allow setup.py to be run using Python 3.0; subunit won't work for now though :(
isop44
Add Pynie;list class
blairuk
Forgetting bin_dir and lib_dir and assuming bindir and libdir.
blairuk
Use bin_dir if parrot_config dumps it otherwise use bindir.
blairuk
Issue 5. Change \r\n to \n in setup.py.
blairuk
use versiondir in library path constructions - now works on XP and Linux.
blairuk
Remove dependency on Perl (except for parrot of course!)